//
//  ViewController.swift
//  SwiftExample
//
//  Created by Jon Hoffman on 7/15/17.
//  Copyright © 2017 Jon Hoffman. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    @IBOutlet weak var messageBox: UITextView?
    @IBOutlet weak var nameField: UITextField?
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Wszelka konfiguracja dodatkowa po wczytaniu widoku, najczęściej z pliku nib.
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Usunięcie wszelkich buforowanych obiektów, które można później ponownie utworzyć.
    }
    
    @IBAction func messagePressed(_ sender: UIButton) {
        let message = MessageBuilder()
        messageBox!.text = message.getPersonalizedMessage(forName: nameField!.text);
    }

}

